%define majorver %(echo "%{version}" | sed "s,\..$,,")

Name:          hugin
Version:       2021.0.0
Release:       1mamba
Summary:       A panoramic photo stitcher
Group:         Graphical Desktop/Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://hugin.sourceforge.net
Source:        https://sourceforge.net/projects/hugin/files/hugin/hugin-%{majorver}/hugin-%{version}.tar.bz2
Patch0:        %{name}-2010.0.0-libpng14.patch
Patch1:        hugin-2011.4.0-gcc-4.7.patch
Patch2:        hugin-2014.0.0-liblensfun-0.3.0.patch
Patch3:        hugin-2014.0.0-libboost-1.57.patch
Patch4:        hugin-2014.0.0-libboost-1.57-2.patch
Patch5:        hugin-2020.0.0-openexr-3.0.4.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libGLU-devel
BuildRequires: libX11-devel
BuildRequires: libboost-devel
BuildRequires: libexiv2-devel
BuildRequires: libfftw-devel
BuildRequires: libgcc
BuildRequires: libglew-devel
BuildRequires: libglvnd-devel
BuildRequires: libgomp-devel
BuildRequires: libimath-devel
BuildRequires: libjpeg-devel
BuildRequires: liblcms2-devel
BuildRequires: libopenexr-devel
BuildRequires: libpano13-devel
BuildRequires: libpng-devel
BuildRequires: libsqlite-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtiff-devel
BuildRequires: libvigra-devel
BuildRequires: libwx_baseu30-devel
BuildRequires: libwx_gtk3u30-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: libvigra-devel >= 1.11.1-2mamba
BuildRequires: liblensfun-devel >= 0.3.2-1mamba
BuildRequires: libpano13-devel >= 2.9.19-1mamba
BuildRequires: cmake
BuildRequires: libtclap-devel

%description
A powerful software package for creation and processing of panoramic images.

%debug_package

%prep
%setup -q
#%patch2 -p1
#%patch3 -p1
#%patch4 -p1
#%patch5 -p1

rm CMakeModules/FindZLIB.cmake # Doesn't define the ZLIB::ZLIB target needed by OpenEXR 3

%build
%cmake -d build

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
/sbin/ldconfig
update-desktop-database &>/dev/null
update-mime-database -n %{_datadir}/mime &>/dev/null
touch --no-create %{_datadir}/icons/gnome
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/gnome
exit 0

%postun 
/sbin/ldconfig 
update-desktop-database &>/dev/null
update-mime-database -n %{_datadir}/mime &>/dev/null
touch --no-create %{_datadir}/icons/gnome
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/gnome
exit 0

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/align_image_stack
%{_bindir}/autooptimiser
%{_bindir}/calibrate_lens_gui
%{_bindir}/celeste_standalone
%{_bindir}/checkpto
%{_bindir}/cpfind
%{_bindir}/geocpset
%{_bindir}/icpfind
%{_bindir}/linefind
%{_bindir}/cpclean
%{_bindir}/deghosting_mask
%{_bindir}/fulla
%{_bindir}/hugin
%{_bindir}/hugin_*
%{_bindir}/nona
%{_bindir}/pano_*
%{_bindir}/pto_*
%{_bindir}/PTBatcherGUI
%{_bindir}/tca_correct
%{_bindir}/vig_optimize
%{_bindir}/hugin_executor
%{_bindir}/hugin_lensdb
%{_bindir}/verdandi
%dir %{_libdir}/hugin
%{_libdir}/hugin/libceleste*
%{_libdir}/hugin/libhugin*
%{_libdir}/hugin/libicpfindlib.so.*
%{_libdir}/hugin/liblocalfeatures.so.*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/xrc
%dir %{_datadir}/hugin/data
%{_datadir}/hugin/data/*
%{_datadir}/metainfo/*.xml
%{_datadir}/applications/pto_gen.desktop
%{_datadir}/applications/PTBatcherGUI.desktop
%{_datadir}/applications/calibrate_lens_gui.desktop
%{_datadir}/applications/hugin.desktop
%{_datadir}/mime/packages/hugin.xml
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/icons/hicolor/scalable/apps/*.svg
%{_datadir}/icons/hicolor/*/mimetypes/*.png
#%{python_sitearch}/_hsi.so
#%{python_sitearch}/hpi.py
#%{python_sitearch}/hsi.py
%{_mandir}/man1/calibrate_lens_gui.1*
%{_mandir}/man1/checkpto.1*
%{_mandir}/man1/cpfind.1*
%{_mandir}/man1/geocpset.1*
%{_mandir}/man1/align_image_stack.1*
%{_mandir}/man1/autooptimiser.1*
%{_mandir}/man1/celeste_standalone.1*
%{_mandir}/man1/cpclean.1*
%{_mandir}/man1/deghosting_mask.1*
%{_mandir}/man1/fulla.1*
%{_mandir}/man1/hugin.1*
%{_mandir}/man1/hugin_*.1*
%{_mandir}/man1/icpfind.1*
%{_mandir}/man1/linefind.1*
%{_mandir}/man1/pto_*.1*
%{_mandir}/man1/PTBatcherGUI.1*
%{_mandir}/man1/nona.1*
%{_mandir}/man1/pano_modify.1*
%{_mandir}/man1/pano_trafo.1*
%{_mandir}/man1/tca_correct.1*
%{_mandir}/man1/vig_optimize.1*
%{_mandir}/man1/verdandi.1*
%doc AUTHORS 
#ChangeLog README README_JP TODO

%changelog
* Wed Jan 05 2022 Automatic Build System <autodist@mambasoft.it> 2021.0.0-1mamba
- automatic version update by autodist

* Sun Jun 27 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2020.0.0-1mamba
- update to 2020.0.0

* Mon Feb 12 2018 Automatic Build System <autodist@mambasoft.it> 2018.0.0-1mamba
- automatic version update by autodist

* Fri Jul 21 2017 Automatic Build System <autodist@mambasoft.it> 2017.0.0-1mamba
- automatic version update by autodist

* Thu Apr 13 2017 Automatic Build System <autodist@mambasoft.it> 2016.2.0-1mamba
- automatic version update by autodist

* Sat Mar 12 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 2014.0.0-2mamba
- rebuilt by autoport with build requirements: liblensfun-devel>=0.3.2-1mamba

* Thu Feb 05 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 2014.0.0-1mamba
- update to 2014.0.0

* Thu Feb 05 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 2013.0.0-3mamba
- rebuilt by autoport with build requirements: libpano13-devel>=2.9.19-1mamba--buildreqlibpano13-devel>=2.9.19-1mamba

* Mon Mar 31 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2013.0.0-2mamba
- rebuilt with openexr 2.1.0

* Sun Dec 01 2013 Automatic Build System <autodist@mambasoft.it> 2013.0.0-1mamba
- automatic version update by autodist

* Sat May 25 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2012.0.0-3mamba
- python 2.7 mass rebuild

* Sat Dec 15 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2012.0.0-2mamba
- libboost 1.52 mass rebuild

* Fri Nov 09 2012 Automatic Build System <autodist@mambasoft.it> 2012.0.0-1mamba
- automatic version update by autodist

* Wed Oct 10 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2011.4.0-2mamba
- rebuilt
- added requirement for libtclap-devel

* Mon Apr 02 2012 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 2011.4.0-1mamba
- update to 2011.4.0

* Wed Dec 15 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2010.2.0-1mamba
- update to 2010.2.0

* Wed Oct 27 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2010.0.0-1mamba
- update to 2010.0.0
- rebuilt with libpano13 2.9.17
- fixed URL field
- added libpng14 patch

* Mon Jun 14 2010 Automatic Build System <autodist@mambasoft.it> 2009.4.0-2mamba
- automatic rebuild by autodist

* Sun Mar 07 2010 Davide Madrisan <davide.madrisan@gmail.com> 2009.4.0-1mamba
- package created by autospec
